<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: DataPlot2D Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_data_plot2_d.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_data_plot2_d-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">DataPlot2D Class Reference<div class="ingroups"><a class="el" href="group___framework.html">Framework</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Class displaying a 2D plot on the ground station.  
 <a href="class_data_plot2_d.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_data_plot2_d_8h_source.html">DataPlot2D.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for DataPlot2D:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="class_data_plot2_d.png" usemap="#DataPlot2D_map" alt=""/>
  <map id="DataPlot2D_map" name="DataPlot2D_map">
<area href="class_data_plot.html" title="Abstract class to display plots on ground station. " alt="DataPlot" shape="rect" coords="0,0,75,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:acec80fddad08ff4255ce98c673dc9029"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_data_plot2_d.html#acec80fddad08ff4255ce98c673dc9029">DataPlot2D</a> (<a class="el" href="class_layout_item.html">LayoutItem</a> *parent, std::string name, int row, int col, std::string x_name, float xmin, float xmax, std::string y_name, float ymin, float ymax)</td></tr>
<tr class="memdesc:acec80fddad08ff4255ce98c673dc9029"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#acec80fddad08ff4255ce98c673dc9029">More...</a><br/></td></tr>
<tr class="separator:acec80fddad08ff4255ce98c673dc9029"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae849fb1117bc2ab14fc354d532caf08"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_data_plot2_d.html#aae849fb1117bc2ab14fc354d532caf08">~DataPlot2D</a> ()</td></tr>
<tr class="memdesc:aae849fb1117bc2ab14fc354d532caf08"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aae849fb1117bc2ab14fc354d532caf08">More...</a><br/></td></tr>
<tr class="separator:aae849fb1117bc2ab14fc354d532caf08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38cb2ae32548c9b3766ebc80f0d83705"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_data_plot2_d.html#a38cb2ae32548c9b3766ebc80f0d83705">AddCurve</a> (<a class="el" href="classcvmatrix.html">cvmatrix</a> *x_matrix, int x_row, int x_col, <a class="el" href="classcvmatrix.html">cvmatrix</a> *y_matrix, int y_row, int y_col, uint8_t r=255, uint8_t g=0, uint8_t b=0, std::string curve_name=&quot;&quot;)</td></tr>
<tr class="memdesc:a38cb2ae32548c9b3766ebc80f0d83705"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a curve from a matrix to the plot.  <a href="#a38cb2ae32548c9b3766ebc80f0d83705">More...</a><br/></td></tr>
<tr class="separator:a38cb2ae32548c9b3766ebc80f0d83705"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_class_data_plot"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_data_plot')"><img src="closed.png" alt="-"/>&#160;Private Member Functions inherited from <a class="el" href="class_data_plot.html">DataPlot</a></td></tr>
<tr class="memitem:a30022c3ce14a02b9ed3e5b44b8468d74 inherit pub_methods_class_data_plot"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_data_plot.html#a30022c3ce14a02b9ed3e5b44b8468d74">DataPlot</a> (<a class="el" href="class_layout_item.html">LayoutItem</a> *parent, std::string name, std::string type)</td></tr>
<tr class="memdesc:a30022c3ce14a02b9ed3e5b44b8468d74 inherit pub_methods_class_data_plot"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a30022c3ce14a02b9ed3e5b44b8468d74">More...</a><br/></td></tr>
<tr class="separator:a30022c3ce14a02b9ed3e5b44b8468d74 inherit pub_methods_class_data_plot"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae09dafe13030a6801331dcad4cad5ee6 inherit pub_methods_class_data_plot"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_data_plot.html#ae09dafe13030a6801331dcad4cad5ee6">~DataPlot</a> ()</td></tr>
<tr class="memdesc:ae09dafe13030a6801331dcad4cad5ee6 inherit pub_methods_class_data_plot"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ae09dafe13030a6801331dcad4cad5ee6">More...</a><br/></td></tr>
<tr class="separator:ae09dafe13030a6801331dcad4cad5ee6 inherit pub_methods_class_data_plot"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00d8aa9156d80cdfe0e478a65754926b inherit pro_methods_class_data_plot"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_data_plot.html#a00d8aa9156d80cdfe0e478a65754926b">XmlEvent</a> (xmlNode *node)</td></tr>
<tr class="memdesc:a00d8aa9156d80cdfe0e478a65754926b inherit pro_methods_class_data_plot"><td class="mdescLeft">&#160;</td><td class="mdescRight">XmlEvent from ground station.  <a href="#a00d8aa9156d80cdfe0e478a65754926b">More...</a><br/></td></tr>
<tr class="separator:a00d8aa9156d80cdfe0e478a65754926b inherit pro_methods_class_data_plot"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f8c889e3c62317fd7fc959dbcc74da9 inherit pro_methods_class_data_plot"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_data_plot.html#a2f8c889e3c62317fd7fc959dbcc74da9">AddDataToSend</a> (<a class="el" href="classcvmatrix.html">cvmatrix</a> *matrix, int row, int col)</td></tr>
<tr class="memdesc:a2f8c889e3c62317fd7fc959dbcc74da9 inherit pro_methods_class_data_plot"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a cvmatrix element to the plot.  <a href="#a2f8c889e3c62317fd7fc959dbcc74da9">More...</a><br/></td></tr>
<tr class="separator:a2f8c889e3c62317fd7fc959dbcc74da9 inherit pro_methods_class_data_plot"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a117b47be2a9edf06a9a43a3530ad0f12 inherit pro_methods_class_data_plot"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_data_plot.html#a117b47be2a9edf06a9a43a3530ad0f12">AddDataToSend</a> (<a class="el" href="class_imu_data.html">ImuData</a> *data, <a class="el" href="class_imu_data.html#af14bdab2d22d17a91a29726bb65b2c2e">ImuData::PlotableData_t</a> type, <a class="el" href="class_imu_data.html#a48880f5dd6f58d8df2dfcd6f9572a993">ImuData::Conversion_t</a> conversion)</td></tr>
<tr class="memdesc:a117b47be2a9edf06a9a43a3530ad0f12 inherit pro_methods_class_data_plot"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="class_imu_data.html" title="Class defining IMU datas. ">ImuData</a> element to the plot.  <a href="#a117b47be2a9edf06a9a43a3530ad0f12">More...</a><br/></td></tr>
<tr class="separator:a117b47be2a9edf06a9a43a3530ad0f12 inherit pro_methods_class_data_plot"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_class_object"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_class_object')"><img src="closed.png" alt="-"/>&#160;Static Private Member Functions inherited from <a class="el" href="class_object.html">Object</a></td></tr>
<tr class="memitem:ad46e831ac641c6aa827a3876c9f47086 inherit pub_static_methods_class_object"><td class="memItemLeft" align="right" valign="top">static Time&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#ad46e831ac641c6aa827a3876c9f47086">GetTime</a> (void)</td></tr>
<tr class="memdesc:ad46e831ac641c6aa827a3876c9f47086 inherit pub_static_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time.  <a href="#ad46e831ac641c6aa827a3876c9f47086">More...</a><br/></td></tr>
<tr class="separator:ad46e831ac641c6aa827a3876c9f47086 inherit pub_static_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8554cf8ecd619d2f5b1a3eed36413cb6 inherit pub_static_methods_class_object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a8554cf8ecd619d2f5b1a3eed36413cb6">Printf</a> (const char *format,...)</td></tr>
<tr class="memdesc:a8554cf8ecd619d2f5b1a3eed36413cb6 inherit pub_static_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted print.  <a href="#a8554cf8ecd619d2f5b1a3eed36413cb6">More...</a><br/></td></tr>
<tr class="separator:a8554cf8ecd619d2f5b1a3eed36413cb6 inherit pub_static_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class displaying a 2D plot on the ground station. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="acec80fddad08ff4255ce98c673dc9029"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DataPlot2D::DataPlot2D </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_layout_item.html">LayoutItem</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>col</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>x_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>xmin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>xmax</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>y_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>ymin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>ymax</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a 2D plot at given place in the parent <a class="el" href="class_layout_item.html" title="Abstract class to display a layout on the ground station. ">LayoutItem</a>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>parent to display the plot </td></tr>
    <tr><td class="paramname">name</td><td>name </td></tr>
    <tr><td class="paramname">row</td><td>row place of the plot in the parent </td></tr>
    <tr><td class="paramname">col</td><td>column place of the plot in the parent </td></tr>
    <tr><td class="paramname">x_name</td><td>name of x axis </td></tr>
    <tr><td class="paramname">xmin</td><td>default xmin of the plot </td></tr>
    <tr><td class="paramname">xmax</td><td>default xmax of the plot </td></tr>
    <tr><td class="paramname">y_name</td><td>name of y axis </td></tr>
    <tr><td class="paramname">ymin</td><td>default ymin of the plot </td></tr>
    <tr><td class="paramname">ymax</td><td>default ymax of the plot </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aae849fb1117bc2ab14fc354d532caf08"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DataPlot2D::~DataPlot2D </td>
          <td>(</td>
          <td class="paramname">)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a38cb2ae32548c9b3766ebc80f0d83705"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DataPlot2D::AddCurve </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classcvmatrix.html">cvmatrix</a> *&#160;</td>
          <td class="paramname"><em>x_matrix</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x_row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x_col</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classcvmatrix.html">cvmatrix</a> *&#160;</td>
          <td class="paramname"><em>y_matrix</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y_row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y_col</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>r</em> = <code>255</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>g</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>b</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>curve_name</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add a curve from a matrix to the plot. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">x_matrix</td><td>matrix to plot for x coordinate </td></tr>
    <tr><td class="paramname">x_row</td><td>row of the matrix for x coordinate </td></tr>
    <tr><td class="paramname">x_col</td><td>column of the matrix for x coordinate </td></tr>
    <tr><td class="paramname">y_matrix</td><td>matrix to plot for y coordinate </td></tr>
    <tr><td class="paramname">y_row</td><td>row of the matrix for y coordinate </td></tr>
    <tr><td class="paramname">y_col</td><td>column of the matrix for y coordinate </td></tr>
    <tr><td class="paramname">r</td><td>red component of the curve </td></tr>
    <tr><td class="paramname">g</td><td>green component of the curve </td></tr>
    <tr><td class="paramname">b</td><td>blue component of the curve </td></tr>
    <tr><td class="paramname">curve_name</td><td>name of the curve ofr the legend </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_data_plot2_d.html">DataPlot2D</a></li>
    <li class="footer">Generated on Wed Feb 26 2014 14:10:06 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
